MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::CStaticDelegate1< TP1 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CStaticDelegate1< TP1 >:
[legend]

## Public Types
typedef void(* | Func) (TP1 p1)

## Public Member Functions
| CStaticDelegate1 (Func _func)
virtual bool | isType (const std::type_info &_type)
virtual void | invoke (TP1 p1)
virtual bool | compare (IDelegate1< TP1 > *_delegate) const
virtual bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::delegates::IDelegate1< TP1 >
virtual | ~IDelegate1 ()

## Detailed Description

### template<typename TP1>
class MyGUI::delegates::CStaticDelegate1< TP1 >

Definition at line 41 of file MyGUI_Delegate.h.

## Member Typedef Documentation

template<typename TP1 >

typedef void(* MyGUI::delegates::CStaticDelegate1< TP1 >::Func) (TP1 p1)

Definition at line 44 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

template<typename TP1 >

MyGUI::delegates::CStaticDelegate1< TP1 >::CStaticDelegate1 | ( | Func | _func | ) |
| inline

Definition at line 46 of file MyGUI_Delegate.h.

## Member Function Documentation

template<typename TP1 >

virtual bool MyGUI::delegates::CStaticDelegate1< TP1 >::compare | ( | IDelegate1< TP1 > * | _delegate | ) | const
| inline virtual

Implements MyGUI::delegates::IDelegate1< TP1 >.

Definition at line 58 of file MyGUI_Delegate.h.

template<typename TP1 >

virtual bool MyGUI::delegates::CStaticDelegate1< TP1 >::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Reimplemented from MyGUI::delegates::IDelegate1< TP1 >.

Definition at line 64 of file MyGUI_Delegate.h.

template<typename TP1 >

virtual void MyGUI::delegates::CStaticDelegate1< TP1 >::invoke | ( | TP1 | p1 | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate1< TP1 >.

Definition at line 53 of file MyGUI_Delegate.h.

template<typename TP1 >

virtual bool MyGUI::delegates::CStaticDelegate1< TP1 >::isType | ( | const std::type_info & | _type | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate1< TP1 >.

Definition at line 48 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h